#
# spec file for package OpenOffice_org-voikko (Version 3.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define ooo3 %{_libdir}/ooo3

Name:           OpenOffice_org-voikko
BuildRequires:  OpenOffice_org gcc-c++ java-devel libvoikko-devel unzip update-alternatives zip OpenOffice_org-ure-devel
Summary:        OpenOffice.org spellchecker/hyphenator for finnish language
Version:        3.1
Release:        12.1.moblin2
License:        GPL
Group:          Productivity/Text/Spell
PreReq:         OpenOffice_org, coreutils, grep, zip
Provides:       locale(OpenOffice_org:fi)
Url:            http://voikko.sourceforge.net
Source:         openoffice.org-voikko-%{version}.tar.bz2
Patch:          openoffice.org-voikko-3.1-link-as-needed.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
OpenOffice.org spellchecker/hyphenator for finnish language, which uses
libvoikko as backend.


%prep
%setup -q -n openoffice.org-voikko-%{version}
%patch

%build
. %{ooo3}/basis-link/sdk/setsdkenv_unix.sh
make oxt

%install
cd build
voikkoPackage=$(pwd)/voikko.oxt
mkdir -p $RPM_BUILD_ROOT/%{ooo3}/voikko
cd  $RPM_BUILD_ROOT/%{ooo3}/voikko
unzip "$voikkoPackage"

%post
# remove
if [ $(unopkg list --shared |grep -c "Identifier: org.puimula.ooovoikko") -ne 0 ];then
	unopkg remove --shared org.puimula.ooovoikko
fi
# install
if [ -f %{ooo3}/voikko/description.xml ];then
	tempdir=`mktemp -d /tmp/voikko-XXXXXX`
	cd %{ooo3}/voikko
	zip -r -9 $tempdir/voikko-%{version}.oxt * &>/dev/null
	unopkg add --shared $tempdir/voikko-%{version}.oxt
	rm -rf $tempdir
fi
exit 0

%postun
# remove
if [ $(unopkg list --shared |grep -c "Identifier: org.puimula.ooovoikko") -ne 0 ];then
	unopkg remove --shared org.puimula.ooovoikko
fi
# install
if [ -f %{ooo3}/voikko/description.xml ];then
	tempdir=`mktemp -d /tmp/voikko-XXXXXX`
	cd %{ooo3}/voikko
	zip -r -9 $tempdir/voikko-%{version}.oxt * &>/dev/null
	unopkg add --shared $tempdir/voikko-%{version}.oxt
	rm -rf $tempdir
fi
exit 0

%files
%defattr(-,root,root,0755)
%{ooo3}/voikko

%changelog
* Tue Sep  1 2009 Anas Nashif <anas.nashif@intel.com> - 3.1
- Initial import into Moblin
* Mon Aug  3 2009 pmladek@suse.cz
- added Provides: locale(OpenOffice_org:fi) to make it installed automatically
- added PreReq: OpenOffice_org, zip; unopkg is part of OpenOffice_org-libs-core
  but it should be rather called with complete OOo installed
- thanks to Lars Rupp for hints
* Mon Jul 27 2009 pmladek@suse.cz
- changed the order of linker arguments to fix build in openSUSE Factory;
  - Wl,--as-needed is enabled by default there (sf#2827973)
* Fri Jun 19 2009 pmladek@suse.cz
- initial package for openSUSE Factory, version 3.1
- based on the package by Sami Vento
- it is necessary to support Finnish spellcheck, hyphen, and thesaurus
  functionality in OOo
